# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: onboarding_message_partner
    category: XC\MultiVendor
    type: XLite\View\FormField\Textarea\Advanced
    orderby: 2350
    value: '<p><span style="font-size:24px;">Welcome to our marketplace!</span></p><p>To add your first product, go to &nbsp;the &quot;Catalog&quot; -&gt; &quot;<a href="/admin/?target=product_list">Products</a>&quot; page. You can also import your catalog from spreadsheet. Contact us for help formatting your data for import.&nbsp;</p><p>Your current balance is shown on the dashboard. In addition to that, you can get a detailed list of all the transactions on the &quot;My account&quot; -&gt; &quot;<a href="/admin/?target=profile_transactions">My transactions</a>&quot; page. You can send a request for payout from the same page as well.&nbsp;</p><p>All your orders can be found on the &quot;Orders&quot; -&gt; &quot;<a href="/admin/?target=order_list">Order list</a>&quot; page. Click on the order number to get more information about the order line items.&nbsp;</p><p>If you have any questions, feel free to contact us at any time.&nbsp;</p>'
    translations:
      - {code: en, option_name: 'Vendor staff members onboarding welcome message', option_comment: 'Displayed for staff members with limited access.'}
      - {code: ru, option_name: 'Ознакомительное сообщение для новых сотрудников продавца', option_comment: 'Показывается сотрудникам с ограниченным доступом'}
    module: XC\VendorPartners
XLite\Model\Role\Permission:
  - code: ROLE_VENDOR_PARTNER
    section: Vendor
    module: XC\VendorPartners
    translations:
      - {code: en, name: 'Vendor staff'}
      - {code: es, name: 'Personal del proveedor'}
XLite\Model\Role:
  - translations:
      - {code: en, name: 'Vendor staff'}
      - {code: ru, name: 'Сотрудник продавца'}
      - {code: es, name: 'Personal del proveedor'}
    permissions:
      - {code: ROLE_VENDOR_PARTNER}
XLite\Model\Notification:
  - templatesDirectory: modules/XC/VendorPartners/invitation
    availableForAdmin: false
    availableForCustomer: false
    enabledForAdmin: false
    enabledForCustomer: true
    adminHeaderEnabled: false
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    module: XC\VendorPartners
    translations:
      - {code: en, name: 'Vendor staff invitation', description: 'This notification is sent to the newly added vendor staff member to confirm their status as staff', customerSubject: 'Confirm your staff status', customerText: 'A representative of the company ''%vendor_company%'' has invited you to become a staff member.<br /><br />Please click on the following link to confirm your status: <a href="%partner_invitation_url%">Confirm your staff status</a>'}
      - {code: ru, name: 'Приглашение сотруднику', description: 'Данное сообщение посылается вновь добавленному сотруднику продавца для подтверждения его статуса как сотрудника', customerSubject: 'Приглашение сотруднику', customerText: 'Представитель компании %vendor_company% приглашает Вас подтвердить свой статус как сотрудника.<br /><br />Для подтверждения статуса пройдите по ссылке: <a href="%partner_invitation_url%">Подтвердить статус сотрудника</a>'}
      - {code: es, name: 'Invitación al personal del proveedor', description: 'Esta notificación se envía al miembro del personal del proveedor recién añadido para confirmar su condición de personal', customerSubject: 'Confirme su estatuto', customerText: 'Un representante de la empresa ''%vendor_company%'' le ha invitado a convertirse en miembro del personal.<br /><br />Por favor, haga clic en el siguiente enlace para confirmar su estado: <a href="%partner_invitation_url%">Confirme su estatuto</a>'}
XLite\Model\LanguageLabel:
  - name: 'Add vendor partner'
    translations:
      - {code: en, label: 'Add staff member'}
      - {code: ru, label: 'Добавить сотрудника'}
  - name: 'Primary partner'
    translations:
      - {code: en, label: 'Full access'}
      - {code: ru, label: 'Полный доступ'}
  - name: 'Primary partner help'
    translations:
      - {code: en, label: 'Full access: unlimited access to vendor account data, including vendor details, staff and financial info. <br/><br/>No full access: access to the management of products within the vendor''s own section of the product catalog; access to shipping settings and information on orders, commissions, etc.; no access to vendor details, staff and financial info.'}
      - {code: ru, label: 'Полный доступ: неограниченный доступ к информации учетной записи продавца, включая информацию о продавце, данные персонала и финансовую информацию. <br/><br/>Отсутствие полного доступа: доступ к управлению товарами в пределах раздела каталога, закрепленного за продавцом; доступ к настройкам доставки и информации о заказах, размере комиссии и т.п.; отсутствие доступа к информации о продавце, данным персонала и финансовой информации.'}
  - name: Invitation
    translations:
      - {code: en, label: Invitation}
      - {code: ru, label: Приглашение}
  - name: 'Invitation sent'
    translations:
      - {code: en, label: sent}
      - {code: ru, label: отправлено}
  - name: 'Invitation Sent'
    translations:
      - {code: en, label: Sent}
      - {code: ru, label: Отправлено}
  - name: 'Invitation active'
    translations:
      - {code: en, label: Active}
      - {code: ru, label: Активно}
  - name: 'Invitation expired'
    translations:
      - {code: en, label: Expired}
      - {code: ru, label: Истекло}
  - name: 'Invitation accepted'
    translations:
      - {code: en, label: Accepted}
      - {code: ru, label: Принято}
  - name: 'Please click the confirmation button below to accept vendor invitation.'
    translations:
      - {code: en, label: 'Please click the confirmation button below to accept staff invitation.'}
      - {code: ru, label: 'Пожалуйста нажмите на кнопку внизу чтобы принять приглашение.'}
  - name: 'Partner status confirmation'
    translations:
      - {code: en, label: 'Staff status confirmation'}
      - {code: ru, label: 'Подтверждение статуса сотрудника'}
  - name: 'Confirm partner status'
    translations:
      - {code: en, label: Confirm}
      - {code: ru, label: Подтвердить}
  - name: 'Email "{{email}}" is already in the list of partners.'
    translations:
      - {code: en, label: 'The email "{{email}}" is already on the list of staff members.'}
      - {code: ru, label: 'Адрес  "{{email}}" уже находится в списке сотрудников компании.'}
  - name: 'Partner with email "{{email}}" cannot be added. This user is an administrator or already associated with other vendor company.'
    translations:
      - {code: en, label: 'The staff member with the email "{{email}}" cannot be added. This user is an administrator or is already associated with another vendor company.'}
      - {code: ru, label: 'Сотрудник с адресом "{{email}}" не может быть добавлен. Этот пользователь является администратором или уже связан с другой компанией-продавцом.'}
  - name: 'Vendor partner'
    translations:
      - {code: en, label: 'Vendor staff member'}
      - {code: ru, label: 'Сотрудник продавца'}
  - name: 'Vendor partners'
    translations:
      - {code: en, label: 'Vendor staff members'}
      - {code: ru, label: 'Сотрудники продавца'}
  - name: 'Staff members'
    translations:
      - {code: en, label: 'Staff members'}
      - {code: ru, label: Сотрудники}
  - name: 'Partner of vendor'
    translations:
      - {code: en, label: 'Staff of vendor'}
      - {code: ru, label: 'Сотрудник продавца'}
  - name: 'Thank you for registered a vendor''s partner account'
    translations:
      - {code: en, label: 'Thank you for registering a vendor staff account.'}
      - {code: ru, label: 'Спасибо за регистрацию аккаунта сотрудника продавца.'}
  - name: 'Registration link is invalid or has expired'
    translations:
      - {code: en, label: 'The registration link is invalid or has expired.'}
      - {code: ru, label: 'Ссылка для подтверждения регистрации некорректна, либо срок ее действия истек.'}
  - name: 'You cannot confirm partner status of other user!'
    translations:
      - {code: en, label: 'You cannot confirm the staff status of another user.'}
      - {code: ru, label: 'Вы не можете подтвердить статус другого пользователя.'}
  - name: 'You should log in to confirm partner status'
    translations:
      - {code: en, label: 'You should be logged in before following the link to confirm your staff status.'}
      - {code: ru, label: 'Для подтверждения статуса необходимо войти в свой аккаунт до перехода по ссылке.'}
  - name: 'Invitation has been sent to partner {{email}}'
    translations:
      - {code: en, label: 'A vendor staff invitation has been sent to {{email}}.'}
      - {code: ru, label: 'Приглашение для подтверждения статуса сотрудника было отправлено на адрес  {{email}}.'}
  - name: 'This vendor cannot send invitation to the specified partner.'
    translations:
      - {code: en, label: 'This vendor cannot send an invitation to the specified user.'}
      - {code: ru, label: 'Данный продавец не может послать приглашение указанному пользователю.'}
  - name: 'User with specified email is already used as a vendor staff user'
    translations:
      - {code: en, label: 'User with specified email is already used as a vendor staff user.'}
      - {code: ru, label: 'Пользователь с указанным e-mail адресом уже используется как сотрудник вендора.'}
  - name: 'not a vendor'
    translations:
      - {code: en, label: 'not a vendor'}
      - {code: ru, label: 'не продавец'}
  - name: 'Vendor staff members processed'
    translations:
      - {code: en, label: 'Vendor staff members processed'}
      - {code: ru, label: 'Обработаны сотрудники продавцов'}
  - name: 'Processing vendor staff members...'
    translations:
      - {code: en, label: 'Processing vendor staff members...'}
      - {code: ru, label: 'Обработка сотрудников продавцов...'}
  - name: 'Vendor staff members processed: X out of Y with errors'
    translations:
      - {code: en, label: 'Vendor staff members processed: {{X}} out of {{Y}} (errors: {{errors}}, warnings: {{warns}})'}
      - {code: ru, label: 'Обработано сотрудников продавцов: {{X}} из {{Y}} (ошибок: {{errors}}, предупреждений: {{warns}})'}
  - name: 'Vendor staff members processed: X out of Y'
    translations:
      - {code: en, label: 'Vendor staff members processed: {{X}} out of {{Y}}'}
      - {code: ru, label: 'Обработано сотрудников продавцов: {{X}} из {{Y}}'}
  - name: 'Vendor staff members processed: {{count}}'','
    translations:
      - {code: en, label: 'Vendor staff members processed: {{count}}'}
      - {code: ru, label: 'Обработано сотрудников продавцов: {{count}}'}
  - name: 'Invitation status'
    translations:
      - {code: en, label: 'Invitation status'}
      - {code: ru, label: 'Статус приглашения'}
  - name: Re-send
    translations:
      - {code: en, label: Re-send}
      - {code: ru, label: 'Отправить повторно'}
